소스 검색

add init script

Waldemar Brodkorb 14 년 전
부모
커밋
d403ed3160
2개의 변경된 파일32개의 추가작업 그리고 0개의 파일을 삭제
  1. 29 0
      package/strongswan/files/strongswan.init
  2. 3 0
      package/strongswan/files/strongswan.postinst

+ 29 - 0
package/strongswan/files/strongswan.init

@@ -0,0 +1,29 @@
+#!/bin/sh
+#PKG strongswan
+#INIT 60
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+	test x"${ipsec:-NO}" = x"NO" && exit 0
+	exec sh $0 start
+	;;
+start)
+	ipsec start
+	;;
+stop)
+	ipsec stop
+	;;
+restart)
+	sh $0 stop
+	sleep 3
+	sh $0 start
+	;;
+*)
+	echo "Usage: $0 {start | stop | restart}"
+	exit 1
+	;;
+esac
+exit $?

+ 3 - 0
package/strongswan/files/strongswan.postinst

@@ -0,0 +1,3 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf ipsec ipsec NO